Subject: Re: [linux-usb-devel] Re: RE : MPC5200Lite PCI & IRQ

From: Alan Cox <[email-masked]>
Date: Sat, 26 Jun 2004 15:02:47 +0100

On Sad, 2004-06-26 at 15:24, David Brownell wrote:
> Is there a designated "no IRQ assigned" code?  There should be one ...
> that's why such code gets cut/pasted.  Unless pci_enable_device() is
> (now) guaranteed to fail if the device has no IRQ assignment?

There are a lot of drivers that assume 0 means no IRQ, including some
big x86 non-PC systems. Remember however that dev->irq is an OS private
cookie. In the x86 case for example we add 16 to APIC directed
interrupts both to split IRQs out and to avoid this problem.

So if your board has an IRQ 0 and it is a problem - just change your
numbering scheme.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/